ZlibCompressor.CompressionHeader (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.io.compress.zlib, class: ZlibCompressor, enum: CompressionHeader

Package org.apache.hadoop.io.compress.zlib

# Enum Class ZlibCompressor.CompressionHeader

java.lang.Object
java.lang.Enum<ZlibCompressor.CompressionHeader>
org.apache.hadoop.io.compress.zlib.ZlibCompressor.CompressionHeader

All Implemented Interfaces:
  `Serializable`, `Comparable<ZlibCompressor.CompressionHeader>`, `Constable`

Enclosing class:
  org.apache.hadoop.io.compress.zlib.ZlibCompressor

public static enum ZlibCompressor.CompressionHeader extends Enum<ZlibCompressor.CompressionHeader>
The type of header for compressed data.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DEFAULT_HEADER`
  Default headers/trailers/checksums.
  `GZIP_FORMAT`
  Simple gzip headers/trailers.
  `NO_HEADER`
  No headers/trailers/checksums.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ZlibCompressor.CompressionHeader`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ZlibCompressor.CompressionHeader[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.
  `int`
  `windowBits()`

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NO_HEADER

    public static final ZlibCompressor.CompressionHeader NO_HEADER
    No headers/trailers/checksums.

  - ### DEFAULT_HEADER

    public static final ZlibCompressor.CompressionHeader DEFAULT_HEADER
    Default headers/trailers/checksums.

  - ### GZIP_FORMAT

    public static final ZlibCompressor.CompressionHeader GZIP_FORMAT
    Simple gzip headers/trailers.

- ## Method Details

  - ### values

    public static ZlibCompressor.CompressionHeader[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ZlibCompressor.CompressionHeader valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### windowBits

    public int windowBits()